> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Provider

> Get provider metadata, scopes, and schema.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /workspaces/{workspace_id}/providers/{provider_id}
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/providers/{provider_id}:
    get:
      tags:
        - providers
      summary: Get Provider
      description: Get provider metadata, scopes, and schema.
      operationId: providers-get_provider
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
        - name: provider_id
          in: path
          required: true
          schema:
            type: string
            title: Provider Id
        - name: grant_type
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/OAuthGrantType'
            default: authorization_code
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProviderRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    OAuthGrantType:
      type: string
      enum:
        - authorization_code
        - client_credentials
      title: OAuthGrantType
      description: Grant type for OAuth 2.0.
    ProviderRead:
      properties:
        grant_type:
          $ref: '#/components/schemas/OAuthGrantType'
        metadata:
          $ref: '#/components/schemas/ProviderMetadata'
        scopes:
          $ref: '#/components/schemas/ProviderScopes'
        config_schema:
          $ref: '#/components/schemas/ProviderSchema'
        integration_status:
          $ref: '#/components/schemas/IntegrationStatus'
        default_authorization_endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Authorization Endpoint
        default_token_endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Token Endpoint
        authorization_endpoint_help:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Authorization Endpoint Help
        token_endpoint_help:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Token Endpoint Help
        redirect_uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Redirect Uri
      type: object
      required:
        - grant_type
        - metadata
        - scopes
        - config_schema
        - integration_status
      title: ProviderRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProviderMetadata:
      properties:
        id:
          type: string
          title: Id
          description: Provider identifier
        name:
          type: string
          title: Name
          description: Human-readable provider name
        description:
          type: string
          title: Description
          description: Provider description
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
          description: URL to provider logo
        setup_instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Setup Instructions
          description: Setup instructions for the provider
        requires_config:
          type: boolean
          title: Requires Config
          description: Whether this provider requires additional configuration
          default: false
        enabled:
          type: boolean
          title: Enabled
          description: Whether this provider is available for use
          default: true
        api_docs_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Docs Url
          description: URL to API documentation
        setup_guide_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Setup Guide Url
          description: URL to setup guide
        troubleshooting_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Troubleshooting Url
          description: URL to troubleshooting documentation
      type: object
      required:
        - id
        - name
        - description
      title: ProviderMetadata
      description: Metadata for a provider.
    ProviderScopes:
      properties:
        default:
          items:
            type: string
          type: array
          title: Default
          description: Default scopes for this provider.
      type: object
      required:
        - default
      title: ProviderScopes
      description: Scope metadata for a provider.
    ProviderSchema:
      properties:
        json_schema:
          additionalProperties: true
          type: object
          title: Json Schema
      type: object
      required:
        - json_schema
      title: ProviderSchema
      description: Schema for a provider.
    IntegrationStatus:
      type: string
      enum:
        - not_configured
        - configured
        - connected
      title: IntegrationStatus
      description: Status of an integration.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````